# googleapps

This provider uses SAML with Google Apps to enable authentication of users to AWS. 

# prerequisites

Setup your Google Apps and AWS Account as per one of the configuration guides.

* [How to Set Up Federated Single Sign-On to AWS Using Google Apps](https://aws.amazon.com/blogs/security/how-to-set-up-federated-single-sign-on-to-aws-using-google-apps/)
* [Using Google Apps SAML SSO to do one-click login to AWS](https://blog.faisalmisle.com/2015/11/using-google-apps-saml-sso-to-do-one-click-login-to-aws/)

# configuration

The key attribute in configuring this provider is the URL which can be copied from the google apps, application list (I just pulled it from the HTML). An example of this is as follows:

`https://accounts.google.com/o/saml2/initsso?idpid=XXXXXXX&spid=YYYYY&forceauthn=false`

Where the following attributes are replace with:

* `XXXXX` is IdP identifier for your Google Apps Account.
* `YYYYY` is SP identifier for the AWS SAML application, in your Google Apps Account.

# 2-factor support

Currently this provider supports:

* ToTP using applications like Google Authenticator or Authy
* SMS
* Google Prompt (Mobile Application)

# prior work

In addition to my own effort deconstructing this, I also used the following as resources:

* https://github.com/wheniwork/keyme
* https://github.com/cevoaustralia/aws-google-auth
